package com.evobms.project.Battery.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.evobms.framework.aspectj.lang.annotation.Excel;
import com.evobms.framework.web.domain.BaseEntity;

public class ChargeDischargeSummary extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "设备ID")
    private String deviceId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timestamp;

    @Excel(name = "累计放电电量(kWh)")
    private BigDecimal dischargeKwh;

    @Excel(name = "累计充电电量(kWh)")
    private BigDecimal chargeKwh;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }

    public String getDeviceId() { return deviceId; }
    public void setDeviceId(String deviceId) { this.deviceId = deviceId; }

    public Date getTimestamp() { return timestamp; }
    public void setTimestamp(Date timestamp) { this.timestamp = timestamp; }

    public BigDecimal getDischargeKwh() { return dischargeKwh; }
    public void setDischargeKwh(BigDecimal dischargeKwh) { this.dischargeKwh = dischargeKwh; }

    public BigDecimal getChargeKwh() { return chargeKwh; }
    public void setChargeKwh(BigDecimal chargeKwh) { this.chargeKwh = chargeKwh; }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deviceId", getDeviceId())
                .append("timestamp", getTimestamp())
                .append("dischargeKwh", getDischargeKwh())
                .append("chargeKwh", getChargeKwh())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}